
Figure - Bug #118893
【AF】【EVT3】【Monkey】0625版本Monkey测试异常停止
2023-06-26 10:20 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-26

Priority: High Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 0%

Category: SYSTEM Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0625

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: Monkey Test Root cause:

Description

【blacklist】

com.tc.logclient

com.microsoft.emmx

com.example.android.locationattribution

com.thundercomm.mcuupgrade

com.sohu.inputmethod.sogou.car

com.android.music

com.thundercomm.gamecenter 

【执行命令】

monkey --pkg-blacklist-file /sdcard/blackList.txt --hprof --throttle 500 -s 1234567 --pct-touch 35 --pct-motion 25 --pct-appswitch 30 --pct-pinchzoom

5 --pct-trackball 0 --pct-anyevent 5 --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes

--pct-syskeys 0 -v -v -v 12000000 2>/sdcard/error.txt 1>/sdcard/info.txt

【测试结果】

设备1进入屏保，设备2进入屏保后熄屏

History

#1 - 2023-06-26 10:28 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118893

#2 - 2023-06-26 19:41 - CD FW 曹覃刚

■ 我的分析

device1, 报了如下错误导致monkey停止

--------------------------

06-25 21:33:22.929  1388  2419 E ActivityManager: Activity Manager Crash. UID:1000 PID:1388 TRANS:126

06-25 21:33:22.929  1388  2419 E ActivityManager: java.lang.NullPointerException: Attempt to read from field 'int com.android.server.wm.Task.mAffiliatedTaskId' on a

null object reference

06-25 21:33:22.929  1388  2419 E ActivityManager:     at com.android.server.wm.RecentTasks.add(RecentTasks.java:1129)

06-25 21:33:22.929  1388  2419 E ActivityManager:     at com.android.server.wm.ActivityStarter.startActivityInner(ActivityStarter.java:1843)
06-25 21:33:22.929  1388  2419 E ActivityManager:     at com.android.server.wm.ActivityStarter.startActivityUnchecked(ActivityStarter.java:1576)

06-25 21:33:22.929  1388  2419 E ActivityManager:     at com.android.server.wm.ActivityStarter.executeRequest(ActivityStarter.java:1183)

06-25 21:33:22.929  1388  2419 E ActivityManager:     at com.android.server.wm.ActivityStarter.execute(ActivityStarter.java:671)

06-25 21:33:22.929  1388  2419 E ActivityManager:     at com.android.server.wm.ActivityTaskManagerService.startActivityAsUser(ActivityTaskManagerService.java:1229)

06-25 21:33:22.929  1388  2419 E ActivityManager:     at com.android.server.wm.ActivityTaskManagerService.startActivityAsUser(ActivityTaskManagerService.java:1201)

06-25 21:33:22.929  1388  2419 E ActivityManager:     at com.android.server.am.ActivityManagerService.startActivityAsUserWithFeature(ActivityManagerService.java:2956)

06-25 21:33:22.929  1388  2419 E ActivityManager:     at android.app.IActivityManager$Stub.onTransact(IActivityManager.java:4050)

06-25 21:33:22.929  1388  2419 E ActivityManager:     at com.android.server.am.ActivityManagerService.onTransact(ActivityManagerService.java:2528)

06-25 21:33:22.929  1388  2419 E ActivityManager:     at android.os.Binder.execTransactInternal(Binder.java:1179)

06-25 21:33:22.929  1388  2419 E ActivityManager:     at android.os.Binder.execTransact(Binder.java:1143)

06-25 21:33:22.939  7989  7989 W Monkey  : ** Error: A RuntimeException occurred:

06-25 21:33:22.939  7989  7989 W Monkey  : java.lang.NullPointerException: Attempt to read from field 'int com.android.server.wm.Task.mAffiliatedTaskId' on a null

object reference

06-25 21:33:22.939  7989  7989 W Monkey  :     at android.os.Parcel.createExceptionOrNull(Parcel.java:2431)

06-25 21:33:22.939  7989  7989 W Monkey  :     at android.os.Parcel.createException(Parcel.java:2409)

06-25 21:33:22.939  7989  7989 W Monkey  :     at android.os.Parcel.readException(Parcel.java:2392)

06-25 21:33:22.939  7989  7989 W Monkey  :     at android.os.Parcel.readException(Parcel.java:2334)

06-25 21:33:22.939  7989  7989 W Monkey  :     at android.app.IActivityManager$Stub$Proxy.startActivityAsUserWithFeature(IActivityManager.java:8620)

06-25 21:33:22.939  7989  7989 W Monkey  :     at com.android.commands.monkey.MonkeyActivityEvent.injectEvent(MonkeyActivityEvent.java:73)

06-25 21:33:22.939  7989  7989 W Monkey  :     at com.android.commands.monkey.Monkey.runMonkeyCycles(Monkey.java:1219)

06-25 21:33:22.939  7989  7989 W Monkey  :     at com.android.commands.monkey.Monkey.run(Monkey.java:710)

06-25 21:33:22.939  7989  7989 W Monkey  :     at com.android.commands.monkey.Monkey.main(Monkey.java:570)

06-25 21:33:22.939  7989  7989 W Monkey  :     at com.android.internal.os.RuntimeInit.nativeFinishInit(Native Method)

06-25 21:33:22.939  7989  7989 W Monkey  :     at com.android.internal.os.RuntimeInit.main(RuntimeInit.java:355)

06-25 21:33:22.939  7989  7989 I Monkey  : Events injected: 18736

06-25 21:33:22.940  7989  7989 I Monkey  : :Sending rotation degree=0, persist=false

--------------------------

device2, 低内存system_server被杀掉, 与 #118126 问题类似，需要system组的同学帮忙看下

--------------------------

11-12 07:50:11.788     0     0 E         : [63007.662204] Out of memory: Kill process 1140 (system_server) score 0 or sacrifice child

11-12 07:50:11.788     0     0 E         : [63007.673931] Killed process 1140 (system_server) total-vm:21094128kB, anon-rss:0kB, file-rss:0kB, shmem-rss:0kB

oom_score_adj=-900

--------------------------

■ 下一步计划

device1, 报了如下错误导致monkey停止

->已提交代码，待入库

device2, 低内存system_server被杀掉, 与 #118126 问题类似，需要system组的同学帮忙看下

->需要system组的同学帮忙分析

#3 - 2023-06-26 19:47 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

209939 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

FW:SystemOptimization: Fix the NullPointerException that causes the monkey to stopTC-RID: 1201-0205101IssueID: TS-R-BUG-118893Change-Id:

I6544ad4ddb6fa1dd233b6db443074ca6b5f16dd1
#4 - 2023-06-26 19:48 - CD FW 曹覃刚

- Category changed from CD-FW to SYSTEM

- Assignee changed from CD FW 曹覃刚 to CD SYSTEM-胡兵

#5 - 2023-06-26 20:42 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

209952 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

FW:SystemOptimization: Fix the NullPointerException that causes the monkey to stopTC-RID: 1201-0205101IssueID: TS-R-BUG-118893Change-Id:

I6544ad4ddb6fa1dd233b6db443074ca6b5f16dd1(cherry picked from commit b3f13bf1de7e12a7aec3b66b86ca43535b19bbcf)

#6 - 2023-06-27 19:14 - CDTS-TEST 周婷

- Assignee changed from CD SYSTEM-胡兵 to CD SYSTEM-夏旭

1. 旭新  给一个需要抓dump日志的脚本用基于625 版本VB 复现

#7 - 2023-06-28 13:53 - CD SYSTEM-夏旭

am_pss (Pid|1|5),(UID|1|5),(Process Name|3),(Pss|2|2),(Uss|2|2),(SwapPss|2|2),(Rss|2|2),(StatType|1|5),(ProcState|1|5),(TimeToCollect|2|2)

systemui uss 大概占用400M system 大概占用153M

行  915: 11-12 07:50:10.059  1140  1576 I am_pss  : [1928,10080,com.android.systemui,510473216,399433728,106153984,471474176,1,0,23]

行  922: 11-12 07:50:10.104  1140  1576 I am_pss  : [1140,1000,system,241778688,153137152,17697792,436695040,1,0,22]

#8 - 2023-06-30 15:26 - CD SYSTEM-夏旭

1、

11-12 07:49:41.664     0     0 W         : [62977.524777] Movable free:1193008kB min:2544kB low:15004kB high:15640kB active_anon:627276kB inactive_anon:166860kB

active_file:0kB inactive_file:0kB unevictable:748kB writepending:0kB present:2097152kB managed:2097152kB mlocked:748kB kernel_stack:0kB pagetables:0kB bounce:0kB

free_pcp:3652kB local_pcp:1020kB free_cma:0kB

614075: 11-12 07:48:19.273   522   522 I lowmemorykiller: Kill 'com.smile.gifmaker' (9889), uid 10105, oom_score_adj 0 to free 15052kB rss, 21944kb swap

    行 614299: 11-12 07:48:20.648   522   522 I lowmemorykiller: Kill 'com.smile.gifmaker' (9940), uid 10105, oom_score_adj 0 to free 17844kB rss, 21904kb swap

    行 614639: 11-12 07:48:21.873   522   522 I lowmemorykiller: Kill 'com.smile.gifmaker' (9993), uid 10105, oom_score_adj 0 to free 19884kB rss, 21856kb swap

    行 614738: 11-12 07:48:22.198   522   522 I lowmemorykiller: Kill 'com.android.documentsui' (10033), uid 10038, oom_score_adj 0 to free 54608kB rss, 11740kb swap

    行 615343: 11-12 07:48:24.163   522   522 I lowmemorykiller: Kill 'com.tencent.qqmusicpad' (10106), uid 10096, oom_score_adj 0 to free 22660kB rss, 21684kb swap

    行 615949: 11-12 07:48:26.111   522   522 I lowmemorykiller: Kill 'com.android.providers.calendar' (10198), uid 10020, oom_score_adj 0 to free 42340kB rss, 13192kb

swap

    行 616085: 11-12 07:48:26.727   522   522 I lowmemorykiller: Kill 'com.android.settings' (10195), uid 1000, oom_score_adj 0 to free 38700kB rss, 12636kb swap

    行 616211: 11-12 07:48:27.317   522   522 I lowmemorykiller: Kill 'com.android.providers.calendar' (10285), uid 10020, oom_score_adj 0 to free 52192kB rss, 12580kb

swap

    行 616301: 11-12 07:48:27.481   522   522 I lowmemorykiller: Kill 'com.android.settings' (10300), uid 1000, oom_score_adj 0 to free 53728kB rss, 11996kb swap

    行 616603: 11-12 07:48:28.725   522   522 I lowmemorykiller: Kill 'com.android.providers.calendar' (10333), uid 10020, oom_score_adj 0 to free 43180kB rss, 13308kb
swap

    行 616658: 11-12 07:48:28.886   522   522 I lowmemorykiller: Kill 'com.qiyi.video.pad' (10265), uid 10110, oom_score_adj 0 to free 14156kB rss, 22072kb swap

    行 616714: 11-12 07:48:29.065   522   522 I lowmemorykiller: Kill 'com.android.settings' (10388), uid 1000, oom_score_adj 0 to free 41180kB rss, 13412kb swap

    行 616738: 11-12 07:48:29.134   522   522 I lowmemorykiller: Kill 'com.android.providers.calendar' (10406), uid 10020, oom_score_adj 0 to free 49268kB rss, 12544kb

swap

    行 616957: 11-12 07:48:30.471   522   522 I lowmemorykiller: Kill 'com.android.settings' (10446), uid 1000, oom_score_adj 0 to free 42312kB rss, 13132kb swap

    行 617000: 11-12 07:48:30.491   522   522 I lowmemorykiller: Kill 'com.android.providers.calendar' (10445), uid 10020, oom_score_adj 0 to free 40736kB rss, 13240kb

swap

    行 617204: 11-12 07:48:31.174   522   522 I lowmemorykiller: Kill 'com.android.providers.calendar' (10501), uid 10020, oom_score_adj 0 to free 52576kB rss, 12644kb

swap

    行 617530: 11-12 07:48:33.635   522   522 I lowmemorykiller: Kill 'com.android.settings' (10509), uid 1000, oom_score_adj 0 to free 50340kB rss, 12016kb swap

    行 617719: 11-12 07:48:35.435   522   522 I lowmemorykiller: Kill 'com.android.providers.calendar' (10554), uid 10020, oom_score_adj 0 to free 32744kB rss, 13460kb

swap

    行 617947: 11-12 07:48:37.419   522   522 I lowmemorykiller: Kill 'com.android.settings' (10588), uid 1000, oom_score_adj 0 to free 33424kB rss, 12864kb swap

    行 618017: 11-12 07:48:37.444   522   522 I lowmemorykiller: Kill 'com.smile.gifmaker' (10409), uid 10105, oom_score_adj 0 to free 15428kB rss, 21156kb swap

    行 618661: 11-12 07:48:40.355   522   522 I lowmemorykiller: Kill 'com.tencent.mobileqq:MSF' (10635), uid 10095, oom_score_adj 0 to free 33576kB rss, 13060kb swap

    行 618865: 11-12 07:48:41.369   522   522 I lowmemorykiller: Kill 'com.android.settings' (10632), uid 1000, oom_score_adj 0 to free 33732kB rss, 12972kb swap

    行 619122: 11-12 07:48:42.052   522   522 I lowmemorykiller: Kill 'com.android.settings' (10710), uid 1000, oom_score_adj 0 to free 43684kB rss, 11984kb swap

    行 621876: 11-12 07:48:56.083   522   522 I lowmemorykiller: Kill 'com.ss.android.ugc.aweme' (10869), uid 10106, oom_score_adj 0 to free 54672kB rss, 11980kb swap

    行 622854: 11-12 07:48:56.522   522   522 I lowmemorykiller: Kill 'com.ss.android.ugc.aweme' (11084), uid 10106, oom_score_adj 0 to free 54044kB rss, 11716kb swap

    行 627188: 11-12 07:49:13.522   522   522 I lowmemorykiller: Kill 'com.ss.android.ugc.aweme' (11122), uid 10106, oom_score_adj 0 to free 51140kB rss, 12540kb swap

    行 629318: 11-12 07:49:31.141   522   522 I lowmemorykiller: Kill 'com.ss.android.ugc.aweme' (11226), uid 10106, oom_score_adj 0 to free 32888kB rss, 13180kb swap

    行 630248: 11-12 07:49:41.640   522   522 I lowmemorykiller: Kill 'com.android.providers.calendar' (11271), uid 10020, oom_score_adj 0 to free 33896kB rss, 13652kb

swap

    行 630368: 11-12 07:49:41.669   522   522 I lowmemorykiller: Kill 'com.qualcomm.timeservice' (11270), uid 10058, oom_score_adj 0 to free 32256kB rss, 13736kb swapfv

11-12 07:50:11.788 0 0 E : [63007.673931] Killed process 1140 (system_server) total-vm:21094128kB, anon-rss:0kB, file-rss:0kB, shmem-rss:0kB oom_score_adj=-900

#9 - 2023-07-04 09:50 - CD SYSTEM-夏旭

【当前进展】

ion 存在泄露

\log\out\000143_merged_logcat_file(81).log

11-12 07:11:23.261 13755 13755 W Monkey  :       ION: 3,948,652K (    7,132K mapped + 3,941,520K unmapped +         0K pools)

11-12 07:11:48.810 13755 13755 W Monkey  :       ION: 3,948,740K (    7,220K mapped + 3,941,520K unmapped +         0K pools)

11-12 07:13:14.133 13755 13755 W Monkey  :       ION: 3,948,476K (    7,004K mapped + 3,941,472K unmapped +         0K pools)

11-12 07:13:32.993 13755 13755 W Monkey  :       ION: 3,948,476K (    7,004K mapped + 3,941,472K unmapped +         0K pools)

11-12 07:13:45.222 13755 13755 W Monkey  :       ION: 3,948,476K (    7,004K mapped + 3,941,472K unmapped +         0K pools)

11-12 07:13:54.782 13755 13755 W Monkey  :       ION: 3,948,476K (    7,004K mapped + 3,941,472K unmapped +         0K pools)

11-12 07:14:33.360 13755 13755 W Monkey  :       ION: 3,948,728K (    7,100K mapped + 3,941,628K unmapped +         0K pools)

.. ....

.. ....

11-12 07:45:18.844 13755 13755 W Monkey  :       ION: 4,008,036K (    6,972K mapped + 4,001,064K unmapped +         0K pools)

11-12 07:45:57.991 13755 13755 W Monkey  :       ION: 4,008,036K (    6,972K mapped + 4,001,064K unmapped +         0K pools)

11-12 07:46:44.877 13755 13755 W Monkey  :       ION: 4,008,036K (    6,972K mapped + 4,001,064K unmapped +         0K pools)

11-12 07:47:14.541 13755 13755 W Monkey  :       ION: 4,008,036K (    7,004K mapped + 4,001,032K unmapped +         0K pools)

11-12 07:47:27.040 13755 13755 W Monkey  :       ION: 4,008,036K (    7,004K mapped + 4,001,032K unmapped +         0K pools)
11-12 07:49:03.304 13755 13755 W Monkey  :       ION: 4,031,860K (   30,828K mapped + 4,001,032K unmapped +         0K pools)

11-12 07:49:03.304 13755 13755 W Monkey  : Total RAM: 7,895,212K (status normal)

11-12 07:49:03.304 13755 13755 W Monkey  :  Free RAM: 1,669,128K (        0K cached pss +   172,016K cached kernel + 1,497,112K free)

11-12 07:49:03.304 13755 13755 W Monkey  :       ION: 4,031,860K (   30,828K mapped + 4,001,032K unmapped +         0K pools)

11-12 07:49:03.304 13755 13755 W Monkey  :  Used RAM: 6,176,054K (1,550,102K used pss + 4,625,952K kernel)

11-12 07:49:03.304 13755 13755 W Monkey  :  Lost RAM:   424,988K

#10 - 2023-07-05 15:34 - CD SYSTEM-夏旭

- File dumpsys_meminfo.bat added

【当前进展】

需要运行下这个脚本 然后复现问题

thansk

#11 - 2023-07-19 17:37 - CD TEST-方永红

7.19

持续压测中，暂未复现

#12 - 2023-07-24 14:53 - CD SYSTEM-夏旭

- Status changed from New to NEED_INFO

- Assignee changed from CD SYSTEM-夏旭 to CD TEST-方永红

#13 - 2023-08-31 16:24 - CDTS_TEST 王成

- Assignee changed from CD TEST-方永红 to 物联网测试组_TSCD 王维

#14 - 2023-09-11 15:57 - 物联网测试组_TSCD 王维

- Status changed from NEED_INFO to RESOLVED

01.00.0138

01.00.0140

01.00.0142

上述版本执行monkey跑测均达6天以上未复现bug，关闭该bug

#15 - 2023-09-11 15:57 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

#16 - 2023-09-11 15:58 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED

Files

dumpsys_meminfo.bat 634 Bytes 2023-07-05 CD SYSTEM-夏旭

2025-07-04 5/5


